Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracCourseSpeed

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracElement
          org.ka2ddo.opentrac.OpenTracCourseSpeed

All Implemented Interfaces:
  java.io.Serializable

    public class OpenTracCourseSpeed

extends OpenTracElement

This class represents an OpenTRAC data element with the course (degrees from True North) and speed (in 1/50th of a meter per second) of the described entity.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ka2ddo.opentrac.OpenTracElement
`id`

Constructor Summary
`OpenTracCourseSpeed()` Create an uninitialized OpenTracCourseSpeed element.
`OpenTracCourseSpeed(int type, byte[] body, int offset, int length)` Create an OpenTRAC element with a short value from the next series of bytes in an encoded OpenTRAC message.
`OpenTracCourseSpeed(int course, double speedKTS)`

Method Summary
`int` | `computeBody(byte[] buf, int offset)` Append this element to a message buffer
`boolean` | `equals(OpenTracElement other)` Test if this OpenTracElement has the same type and value as another OpenTracElement.
`int` | `getCourse()` Get the course or bearing in degrees from True North.
`double` | `getSpeedKPH()` Get the speed of motion of the entity.
`int` | `length()` Return the number of bytes needed to encode this element.
`java.lang.String` | `valueString()` Get the string representation of the value of this element.

Methods inherited from class org.ka2ddo.opentrac.OpenTracElement
`getId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenTracCourseSpeed

    public OpenTracCourseSpeed()

  Create an uninitialized OpenTracCourseSpeed element.

### OpenTracCourseSpeed

    public OpenTracCourseSpeed(int type,
                               byte[] body,
                               int offset,
                               int length)

  Create an OpenTRAC element with a short value from the next series of bytes in an encoded OpenTRAC message.

  Parameters:
    `type` - OpenTRAC element type code
    `body` - byte array containing the encoded OpenTRAC elements
    `offset` - starting index in the array where this element begins
    `length` - remaining number of bytes in the OpenTRAC encoded message

### OpenTracCourseSpeed

    public OpenTracCourseSpeed(int course,
                               double speedKTS)

Method Detail

### valueString

    public java.lang.String valueString()

  Get the string representation of the value of this element.

  Specified by:
    `valueString` in class `OpenTracElement`
  Returns:
    value string

### getCourse

    public int getCourse()

  Get the course or bearing in degrees from True North.

  Returns:
    bearing angle in integer degrees

### getSpeedKPH

    public double getSpeedKPH()

  Get the speed of motion of the entity.

  Returns:
    speed in kilometers per hour

### computeBody

    public int computeBody(byte[] buf,
                           int offset)

  Append this element to a message buffer

  Specified by:
    `computeBody` in class `OpenTracElement`
  Parameters:
    `buf` - byte array to add the element to
    `offset` - starting index to store the element
  Returns:
    index after the end of the stored element

### length

    public int length()

  Return the number of bytes needed to encode this element.

  Specified by:
    `length` in class `OpenTracElement`
  Returns:
    byte count needed to hold this element

### equals

    public boolean equals(OpenTracElement other)

  Test if this OpenTracElement has the same type and value as another OpenTracElement.

  Specified by:
    `equals` in class `OpenTracElement`
  Parameters:
    `other` - OpenTracElement to compare against this element
  Returns:
    boolean true if elements are of the same type, class, and value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD